TIMEOUT (Java SE 10 & JDK 10 )
Keywords: org.omg.CORBA.TIMEOUT class

Module java.corba
Package org.omg.CORBA

## Class TIMEOUT

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.omg.CORBA.SystemException
        - - org.omg.CORBA.TIMEOUT

- All Implemented Interfaces:
    `Serializable`

      public final class TIMEOUT
      extends SystemException

  `TIMEOUT` is raised when no delivery has been made and the specified time-to-live period has been exceeded. It is a standard system exception because time-to-live QoS can be applied to any invocation.

  See also documentation on Java IDL exceptions.

  Since:
    J2SE 1.5

- - ### Field Summary

    - ### Fields declared in class org.omg.CORBA.SystemException

      `completed, minor`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TIMEOUT()` | Constructs an `TIMEOUT` exception with minor code set to 0 and CompletionStatus set to COMPLETED_NO.
    `TIMEOUT​(int minorCode, CompletionStatus completionStatus)` | Constructs an `TIMEOUT` exception with the specified minor code and completion status.
    `TIMEOUT​(String detailMessage)` | Constructs an `TIMEOUT` exception with the specified message.
    `TIMEOUT​(String detailMessage, int minorCode, CompletionStatus completionStatus)` | Constructs an `TIMEOUT` exception with the specified message, minor code, and completion status.

  - ### Method Summary

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods declared in class org.omg.CORBA.SystemException

      `toString`

    - ### Methods declared in class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

- - ### Constructor Detail

    - #### TIMEOUT

          public TIMEOUT()

      Constructs an `TIMEOUT` exception with minor code set to 0 and CompletionStatus set to COMPLETED_NO.

    - #### TIMEOUT

          public TIMEOUT​(String detailMessage)

      Constructs an `TIMEOUT` exception with the specified message.
      Parameters:
        `detailMessage` - string containing a detailed message.

    - #### TIMEOUT

          public TIMEOUT​(int minorCode,
                         CompletionStatus completionStatus)

      Constructs an `TIMEOUT` exception with the specified minor code and completion status.
      Parameters:
        `minorCode` - minor code.
        `completionStatus` - completion status.

    - #### TIMEOUT

          public TIMEOUT​(String detailMessage,
                         int minorCode,
                         CompletionStatus completionStatus)

      Constructs an `TIMEOUT` exception with the specified message, minor code, and completion status.
      Parameters:
        `detailMessage` - string containing a detailed message.
        `minorCode` - minor code.
        `completionStatus` - completion status.